Bug 1316392 - [RFE] Add test coverage for the liveimg installation method
[RFE] Add test coverage for the liveimg installation method
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.3
Unspecified Unspecified
high Severity unspecified
: alpha
: 7.3
Assigned To: Anaconda Maintenance Team
Release Test Team
: FutureFeature
Depends On:
Blocks: ovirt-node-ng-platform
  Show dependency treegraph
 
Reported: 2016-03-10 02:29 EST by Fabian Deutsch
Modified: 2017-01-11 07:05 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-11 07:05:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2016-03-10 02:29:16 EST
Description of problem:
For RHEV 4.0 we are working on delivering RHEV-H as a squashfs image, which is going to be installed using anaconda.
According to comment bug 1314436 comment 9 the liveimg installation method is not yet supported.
To get minimal confidence that no regressions appear in this installation path I'm requesting to add at least minimal test coverage for this installation method.
Comment 6 Ying Cui 2016-05-25 04:53:54 EDT
Fabian, To me, if this RFE is for adding minimal test coverage for this installation method with squashfs.img, the test case in comment 4 looks good.
If extending some tests, we may consider covering the supported protocols of url, proxy, checksum and noverifyssl, especially in %post section do some basic checking after installation(hostname, networking, user, lang, etc.)
Not sure we need to consider different installation media, like iSCSI, FC, SATA, SAS to make sure multipath and single path storage installation works well.

Note You need to log in before you can comment on or make changes to this bug.